std::experimental::in_place_t(3)

NAME
std::experimental::in_place_t - std::experimental::in_place_t

Synopsis
   Defined in header <experimental/optional>
   struct in_place_t {}; (library fundamentals TS)
   std::experimental::in_place_t is an empty class type used to disambiguate the
   overloads of constructors and member functions of that take arguments (possibly a
   parameter pack) for in-place construction of some value.

See also
   in_place
   in_place_type
   in_place_index in-place construction tag
   in_place_t (class template)
   in_place_type_t
   in_place_index_t
   (C++17)
   optional a wrapper that may or may not hold an object
   (C++17) (class template)